#!/bin/bash

VERSION="4U65"

ARCH=$(arch)
case $ARCH in
    i?86 | x86_64)
        ARCH=i386
    ;;
esac

while test $# -gt 0
do
  case $1 in
      --prefix | -p )
          shift
          PREFIX=$1
	  shift
	  ;;
      * )
          echo "Usage: $0 [ --prefix | -p prefix-directory ]"
	  echo "  (default is /usr/local)"
          exit 1
	  ;;
  esac
done

if [ -z "$PREFIX" ]; then
    PREFIX=/usr/local
fi

COMMON="inform7-common_${VERSION}_all.tar.gz"
COMPDEP="inform7-compilers_${VERSION}_${ARCH}.tar.gz"
TERPDEP="inform7-interpreters_${VERSION}_${ARCH}.tar.gz"

if [ ! -f ${COMMON} ]; then
    echo "File ${COMMON} not present!  Giving up!"
    exit 2
fi

if [ ! -f ${COMPDEP} ]; then
    echo "File ${COMDEP} not present!"
    echo "You should have the executable compilerss for the ${ARCH} architecture."
    echo "Giving up!"
    exit 2
fi
if [ ! -f ${TERPDEP} ]; then
    echo "File ${TERPDEP} not present!"
    echo "You should have the executable compilerss for the ${ARCH} architecture."
    echo "Giving up!"
    exit 2
fi

D=$(pwd)

mkdir -p "$PREFIX"
cd "$PREFIX" || exit 3
tar xfz ${D}/${COMMON} || exit 4
tar xfz ${D}/${COMPDEP} || exit 4
tar xfz ${D}/${TERPDEP} || exit 4

if [ "$PREFIX" != "/usr/local" ]; then
    cmd="s|/usr/local|$PREFIX|;"
    perl -p -i -e "$cmd" bin/i7 || exit 6
fi

cd ${D}
exit 0

